restinio::router::pcre_traits_t< Max_Capture_Groups, Compile_Options, Match_Options > Struct Template Reference

PCRE traits. More...

`#include <pcre_regex_engine.hpp>`

## Static Public Attributes

static constexpr std::size_t | max_capture_groups = Max_Capture_Groups
static constexpr int | compile_options = Compile_Options
static constexpr int | match_options = Match_Options

## Detailed Description

template<std::size_t Max_Capture_Groups = 20, int Compile_Options = 0, int Match_Options = 0>
struct restinio::router::pcre_traits_t< Max_Capture_Groups, Compile_Options, Match_Options >

PCRE traits.

Definition at line 150 of file pcre_regex_engine.hpp.

## Member Data Documentation

## compile_options

template<std::size_t Max_Capture_Groups = 20, int Compile_Options = 0, int Match_Options = 0>

constexpr int restinio::router::pcre_traits_t< Max_Capture_Groups, Compile_Options, Match_Options >::compile_options = Compile_Options

staticconstexpr

Definition at line 153 of file pcre_regex_engine.hpp.

## match_options

template<std::size_t Max_Capture_Groups = 20, int Compile_Options = 0, int Match_Options = 0>

constexpr int restinio::router::pcre_traits_t< Max_Capture_Groups, Compile_Options, Match_Options >::match_options = Match_Options

staticconstexpr

Definition at line 154 of file pcre_regex_engine.hpp.

## max_capture_groups

template<std::size_t Max_Capture_Groups = 20, int Compile_Options = 0, int Match_Options = 0>

constexpr std::size_t restinio::router::pcre_traits_t< Max_Capture_Groups, Compile_Options, Match_Options >::max_capture_groups = Max_Capture_Groups

staticconstexpr

Definition at line 152 of file pcre_regex_engine.hpp.

The documentation for this struct was generated from the following file:

- restinio/router/pcre_regex_engine.hpp